package org.springblade.system.service;

import org.springblade.common.core.domain.AjaxResult;
import org.springblade.system.domain.ArchivalCatalogueDto;
import org.springblade.system.domain.ProjectDto;
import org.springblade.system.domain.SelectDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/11 - 10:04
 */
public interface ProjectService {

    List<ProjectDto> list(ProjectDto dto);

    List<SelectDto> getFileCatalogSelect();

    AjaxResult updateContentsName(ProjectDto projectDto);
}
